import { Routes } from '@angular/router';

export const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.routes').then((m) => m.routes),
  },
  {
    path: 'interact',
    loadComponent: () => import('./interact/interact.page').then( m => m.InteractPage)
  },
  {
    path: 'help',
    loadComponent: () => import('./homepage/help/help.page').then( m => m.HelpPage)
  },
  {
    path: 'like',
    loadComponent: () => import('./homepage/like/like.page').then( m => m.LikePage)
  },
  {
    path: 'inform',
    loadComponent: () => import('./homepage/inform/inform.page').then( m => m.InformPage)
  },
  {
    path: 'privacy',
    loadComponent: () => import('./homepage/privacy/privacy.page').then( m => m.PrivacyPage)
  },
  {
    path: 'history',
    loadComponent: () => import('./homepage/history/history.page').then( m => m.HistoryPage)
  },
  {
    path: 'myposts',
    loadComponent: () => import('./homepage/myposts/myposts.page').then( m => m.MypostsPage)
  },

];
